<div class="container background">
  <form [formGroup]="form" class="form-horizontal" (submit)="onSubmit()" role="form" method="POST" action="/register">
    <div class="row">
      <div class="col-md-3"></div>
      <div class="col-md-6">
        <h2>Register New User</h2>
        <hr>
      </div>
    </div>
    <div class="row">
      <div class="col-md-3 field-label-responsive">
        <label for="name">Name</label>
      </div>
      <div class="col-md-6">
        <div class="form-group">
          <div class="input-group mb-2 mr-sm-2 mb-sm-0">
            <div class="input-group-addon" style="width: 2.6rem"><i class="fa fa-user"></i></div>
            <input type="text" name="name" formControlName="name" [formGroup]="form" class="form-control" id="name"
              placeholder="Name" required autofocus>
          </div>
        </div>
      </div>
      <div class="col-md-3">
        <div class="form-control-feedback">
          <span class="text-danger align-middle">
            <!-- Put name validation error messages here -->
          </span>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-3 field-label-responsive">
        <label for="email">E-Mail Address</label>
      </div>
      <div class="col-md-6 email">
        <div class="form-group">
          <div class="input-group mb-2 mr-sm-2 mb-sm-0">
            <div class="input-group-addon" style="width: 2.6rem"><i class="fa fa-at"></i></div>
            <input type="text" name="email" formControlName="email" [formGroup]="form" class="form-control" id="email"
              placeholder="you@example.com" required autofocus>

          </div>
          <span *ngIf="invalidCredentials" class="text-danger email-span align-middle">
            <i class="fa fa-close">Already registered email</i>
          </span>
        </div>
      </div>
      <div class="col-md-3">
        <div class="form-control-feedback">
          <span class="text-danger align-middle">
            <!-- Put e-mail validation error messages here -->
          </span>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-3 field-label-responsive">
        <label for="password">Password</label>
      </div>
      <div class="col-md-6">
        <div class="form-group has-danger">
          <div class="input-group mb-2 mr-sm-2 mb-sm-0">
            <div class="input-group-addon" style="width: 2.6rem"><i class="fa fa-key"></i></div>
            <input type="password" name="password" formControlName="password" [formGroup]="form" class="form-control"
              id="password" placeholder="Password" required>
          </div>
          <div *ngIf="form.controls.password.minLength && !form.controls.password.errors.required" class="alert alert-danger">
            <span>Password should contain 6 characters</span>
          </div>
        </div>
      </div>
      <div class="col-md-3">
        <div class="form-control-feedback">

        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-3 field-label-responsive">
        <label for="password">Confirm Password</label>
      </div>
      <div class="col-md-6 email">
        <div class="form-group">
          <div class="input-group mb-2 mr-sm-2 mb-sm-0">
            <div class="input-group-addon" style="width: 2.6rem">
              <i class="fa fa-repeat"></i>
            </div>
            <input type="password" name="password-confirmation" formControlName="confirmPassword" [formGroup]="form"
              class="form-control" id="password-confirm" placeholder="Password" required>


          </div>
          <span *ngIf="form.controls.confirmPassword.errors?.MatchPassword" class="text-white description  email-span align-middle">
            <i class="fa fa-close">Passwords do not
              match</i>
          </span>
          <span *ngIf="validEmail ==true" class="text-white description  email-span align-middle">
              <i class="fa fa-close">Email send, click on the link to confirm your inscription</i>
            </span>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-3"></div>
      <div class="col-md-6">
        <button type="submit" class="btn btn-success"><i class="fa fa-user-plus"></i> Register</button>
      </div>
    </div>
  </form>
</div>